PLaSK library

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active Struct Reference

Details of active region. More...

`#include <solvers/electrical/shockley/electr2d.hpp>`

Collaboration diagram for plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active:
[legend]

## Classes
struct | Region

## Public Member Functions
| Active ()
| Active (size_t tot, size_t l, size_t r, size_t b, size_t t, double h)

## Public Attributes
size_t | left
size_t | right
size_t | bottom
size_t | top
ptrdiff_t | offset
double | height

## Detailed Description

template<typename Geometry2DType>
struct plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active

Details of active region.

Definition at line 29 of file electr2d.hpp.

## Constructor & Destructor Documentation

## ◆ Active() [1/2]

template<typename Geometry2DType >

plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::Active | ( |  | ) |
| inline

Definition at line 46 of file electr2d.hpp.

## ◆ Active() [2/2]

template<typename Geometry2DType >

plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::Active | ( | size_t | tot,
|  | size_t | l,
|  | size_t | r,
|  | size_t | b,
|  | size_t | t,
|  | double | h
| ) |  |
| inline

Definition at line 47 of file electr2d.hpp.

## Member Data Documentation

## ◆ bottom

template<typename Geometry2DType >

size_t plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::bottom

Definition at line 43 of file electr2d.hpp.

## ◆ height

template<typename Geometry2DType >

double plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::height

Definition at line 45 of file electr2d.hpp.

## ◆ left

template<typename Geometry2DType >

size_t plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::left

Definition at line 43 of file electr2d.hpp.

## ◆ offset

template<typename Geometry2DType >

ptrdiff_t plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::offset

Definition at line 44 of file electr2d.hpp.

## ◆ right

template<typename Geometry2DType >

size_t plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::right

Definition at line 43 of file electr2d.hpp.

## ◆ top

template<typename Geometry2DType >

size_t plask::electrical::shockley::ElectricalFem2DSolver< Geometry2DType >::Active::top

Definition at line 43 of file electr2d.hpp.

The documentation for this struct was generated from the following file:

- solvers/electrical/shockley/electr2d.hpp